From 6fcfb6975592f113871c77d763d7d96fb15e17b3 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 25 Apr 2014 09:36:08 -0400
Subject: [PATCH] [packages] iptables: Makefile: only build ip6tc, if IPv6 is
 enabled

without this patch the build breaks at iptables

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 package/network/utils/iptables/Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/package/network/utils/iptables/Makefile b/package/network/utils/iptables/Makefile
index fd84772..48b1879 100644
--- a/package/network/utils/iptables/Makefile
+++ b/package/network/utils/iptables/Makefile
@@ -316,7 +316,7 @@ define Package/libiptc
 $(call Package/iptables/Default)
   SECTION:=libs
   CATEGORY:=Libraries
-  DEPENDS:=+libip4tc +libip6tc
+  DEPENDS:=+libip4tc +IPV6:libip6tc
   TITLE:=IPv4/IPv6 firewall - shared libiptc library (compatibility stub)
 endef
 
-- 
1.7.10.4

